﻿html {
    min-width: 100vw;
    height: 100%;
    font-size: 2.4vh;
}

body {
    width: 100%;
    height: 100vh;
}

.flexspacer {
    flex-grow: 1;
}

.hide {
    display: none;
}

.d-flex{
    display:flex;
}

body {
    font-family: Arial,Microsoft JhengHei,sans-serif;
    margin: 0px;
    /*-webkit-font-smoothing: subpixel-antialiased;;
  -moz-osx-font-smoothing: grayscale;
   -webkit-transform: translate3d(0,0,1px);
	-moz-transform: translate3d(0,0,1px);
	 -ms-transform: translate3d(0,0,1px);
	  -o-transform: translate3d(0,0,1px);
		 transform: translate3d(0,0,1px);*/
}

    body.megdk {
        background: #334053;
    }

.asidewrap button {
    background: transparent;
}

input[type="color"] {
    -webkit-appearance: none;
    border: solid 1px #91765d;
    height: 21px;
    padding: 0px;
    display: block;
    width: 52px;
}

@-moz-document url-prefix() {
    input[type="color"] {
        padding: 1px;
    }
}

body.en {
    font-family: Arial;
}

body.tc {
    font-family: Arial,Microsoft JhengHei;
}

body.sc { /*check show*/
    font-family: Arial,sans-serif;
}

body.jp {
    font-family: Arial,Microsoft JhengHei;
}

.number {
    font-family: Arial;
}

input {
    border-style: groove;
}

@font-face {
    font-family: number_Arial;
    src: local("Arial");
    unicode-range: U+00-024F;
    /* no unicode-range; default to all characters */
}

div#fullcontent {
    overflow: hidden;
}



div.loading {
    position: relative;
    opacity: 0.7;
    transition-duration: 1s;
    transition-timing-function: ease-in;
    transition-property: opacity;
}

    div.loading:after {
        content: '';
        position: absolute;
        left: 50%;
        top: 50%;
        margin: -25px 0 0 -25px;
        width: 50px;
        height: 50px;
        border: 2px solid #d1e3fa;
        border-top-color: #0050b4;
        border-radius: 100%;
        box-sizing: border-box;
        animation: circle infinite 0.75s linear;
    }

@keyframes circle {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

#declaimerPanel {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex:0 0 auto;
}
    #searchTable #declaimerPanel .refresh,
    #declaimerPanel .refresh {
        display: flex;
        align-items: center;
        margin: 0 5px;
        border: 1px ridge gray;
        cursor: pointer;
        user-select: none;
        background: #969696;
        color: white;
    }

    #declaimerPanel .refreshbtn {
        box-sizing: border-box;
        padding-top: 1px;
        align-items: center;
        justify-content: center;
        color: white;
        background: #656565;
        border: 1px solid #2b3d51;
        box-shadow: inset 0px -1px 0px #42403d, inset 0px 1px 0px #919191, inset 0px 2px 2px #919191;
        display: inline-flex;
        width: 1.4em;
        height: 1.4em;
        min-width: 19px;
        min-height: 19px;
        width: auto;
        padding: 0 2px;
    }

    #declaimerPanel .refresh:hover .refreshbtn {
        background: #ffb558;
        box-shadow: inset 0px -1px 0px #ffdaad, inset 0px 2px 2px #a08766;
    }

    #declaimerPanel .refresh.working .refreshbtn {
        background: #1966a8;
        box-shadow: inset -1px -1px 0px #01b8ff, inset 1px 2px 2px 1px #015985;
    }

    #declaimerPanel .refreshbtn:before {
        font-family: Lucida Sans Unicode;
        content: '\2b6e';
    }